jmeter-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Eric Dalquist <eric.dalqu...@doit.wisc.edu>
Subject Re: Proposal: JMeter 2.1.2 to drop support for Java 1.3
Date Thu, 08 Jun 2006 01:17:34 GMT
-1 from me on dropping 1.4. I think the biggest driver is what the 
developers want to do. Why are users of jMeter so concerned about JDK1.5 
specific features? It runs under 1.5 from the users point of view thats 
all that matters. Even though this is an open source project the 
developers still have to consider their users. I don't believe the 
features of 1.5 are compelling enough versus the number of users that 
still use JDK1.4 and may not have a choice.

-Eric

Gaël LHEZ wrote:
> That like IE vs Firefox : "no, we won't code for Fx because IE is the most
> used" (the eternal debate against table layout vs css layout)
> Or like xhtml vs html "html is widely supported"
> Or php4 vs php5 "php4 is widely supported by server, so don't care 'bout it"
>
> That's sure that if no one start to use it (java1.5), then it will never
> develop.
>
>   
>> Sorry, but IMHO this is exactly the opposite:
>> - *because* of Retroweaver people can use JDK 1.4, and developers of
>>     
> JMeter have the comfort of using jdk 1.5.
>   
>> This way, everybody is happy :).
>> Ahmed.
>>     
>
> +1 :)
>
>
>
>
>
>  
>
> -----Message d'origine-----
> De : sebb [mailto:sebbaz@gmail.com] 
> Envoyé : mercredi 7 juin 2006 16:00
> À : JMeter Users List
> Objet : Re: Proposal: JMeter 2.1.2 to drop support for Java 1.3
>
> On 07/06/06, Ahmed Mohombe <amohombe@yahoo.com> wrote:
>   
>>>> Beside, you can compile for 1.4, and use 1.5?
>>>>         
>>> JMeter is built on 1.3/1.4 and runs on 1.5.
>>>
>>> I'm not convinced it will be possible to build on 1.5 and still run on
>>>       
> 1.4.
>   
>> What about Retroweaver et co ? :
>> http://retroweaver.sourceforge.net/
>>
>>     
>
> Yes, we know about that, and it could be a good solution for users who
> really need to run on Java 1.3.
>
> But I don't think it is sensible to force people to use 1.5 or Retroweaver
> given that 1.4 is still widely used.
>
> S.
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: jmeter-user-unsubscribe@jakarta.apache.org
> For additional commands, e-mail: jmeter-user-help@jakarta.apache.org
>
>
> --
> No virus found in this incoming message.
> Checked by AVG Free Edition.
> Version: 7.1.394 / Virus Database: 268.8.2/357 - Release Date: 06/06/2006
>  
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: jmeter-user-unsubscribe@jakarta.apache.org
> For additional commands, e-mail: jmeter-user-help@jakarta.apache.org
>
>   

---------------------------------------------------------------------
To unsubscribe, e-mail: jmeter-user-unsubscribe@jakarta.apache.org
For additional commands, e-mail: jmeter-user-help@jakarta.apache.org


Mime
View raw message